Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.master.search.enterprise
Class EOSearchCriteria

    java.lang.Object
      com.sun.mdm.index.querybuilder.SearchCriteria
          com.sun.mdm.index.master.search.enterprise.EOSearchCriteria

All Implemented Interfaces:
  java.io.Serializable

public class EOSearchCriteria
extends SearchCriteria

The EOSearchCriteria class contains the search criteria for a searchEnterpiseObject object. The criteria is an object of the class SystemObject.

See Also:
  Serialized Form

Constructor Summary
`EOSearchCriteria()` Creates a new instance of the EOSearchCriteria class.
`EOSearchCriteria(SystemObject sysObj)` Creates a new instance of the EOSearchCriteria class.

Method Summary
`SystemObject` | `getSystemObject()` See setSystemObject
`SystemObject` | `getSystemObject2()` See setSystemObject2
`SystemObject` | `getSystemObject3()` See setSystemObject3
`void` | `setSystemObject(SystemObject obj)` SystemObject is transformed into query object using query builder when searchEnterpriseObject is invoked.
`void` | `setSystemObject2(SystemObject obj)` SystemObject2 is optional and is used to convey additional information to the query builder such as the lower end of a range search.
`void` | `setSystemObject3(SystemObject obj)` SystemObject3 is optional and is used to convey additional information to the query builder such as the upper end of a range search.
`java.lang.String` | `toString()` String representation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EOSearchCriteria

    public EOSearchCriteria()

  Creates a new instance of the EOSearchCriteria class.

  Parameters:
    None.

### EOSearchCriteria

    public EOSearchCriteria(SystemObject sysObj)

  Creates a new instance of the EOSearchCriteria class.

  Parameters:
    `sysObj` - A system object containing the search criteria to be used by the searchEnterpriseObject class.

Method Detail

### getSystemObject

    public SystemObject getSystemObject()

  See setSystemObject

  Returns:
    system object

### getSystemObject2

    public SystemObject getSystemObject2()

  See setSystemObject2

  Returns:
    system object

### getSystemObject3

    public SystemObject getSystemObject3()

  See setSystemObject3

  Returns:
    system object

### setSystemObject

    public void setSystemObject(SystemObject obj)

  SystemObject is transformed into query object using query builder when searchEnterpriseObject is invoked.

  Parameters:
    `obj` - system object

### setSystemObject2

    public void setSystemObject2(SystemObject obj)

  SystemObject2 is optional and is used to convey additional information to the query builder such as the lower end of a range search.

  Parameters:
    `obj` - system object

### setSystemObject3

    public void setSystemObject3(SystemObject obj)

  SystemObject3 is optional and is used to convey additional information to the query builder such as the upper end of a range search.

  Parameters:
    `obj` - system object

### toString

    public java.lang.String toString()

  String representation

  Returns:
    string representation

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.